@charset "UTF-8";

.topVideo {
	height: calc(100% - 119px);
	width: 100%;
	overflow: hidden;
	top: 120px;
}

.topVideo .video,
#service video {
    min-height: 100%;
    min-width: 100%;
    top: 50%;
    left: 50%;
    position: absolute;
    transform: translate(-50%, -50%);
}

.TextAnimation{
    display: inline-block;
	width: 100%;
	position: absolute;
	bottom: 50px;
}

.TextAnimation ul {
    display: inline-block;
	list-style: none;
	padding: 0;
	margin: 0 0 0 1em;;
	width: 100%;
}

.TextAnimation ul li {
    white-space: nowrap;
	visibility: hidden;
	display: inline-block;
	text-align: center;
	width: 100%;
}

.TextAnimation ul li span.ja span {
	font-family: 'Noto Serif JP', YuMincho, "Yu Mincho", "Hiragino Mincho ProN", "serif";
	font-weight: normal;
	font-size: calc(100vw * 0.015);
	line-height: 1.5em;
	margin: 0;
}

.TextAnimation ul li span.ja2 span {
	font-family: 'Noto Serif JP', YuMincho, "Yu Mincho", "Hiragino Mincho ProN", "serif";
	font-weight: normal;
	font-size: calc(100vw * 0.025);
	line-height: 1.2em;
	margin: 0;
}

.TextAnimation ul li span.en span {
	font-family: "Urbanist", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	letter-spacing: 0.05em;
	font-size: 50px;
	line-height: 1em;
	top: -10px;
}

.TextAnimation ul li span {
    animation: text_anime_on 0.5s ease-out forwards;
    display: inline-block;
    opacity: 0;
    color: #ffffff; /* 他のテキストは白色に設定 */
	text-shadow: 2px 0 2px rgb(0, 0, 0, 0.2), -2px 0 2px rgb(0, 0, 0, 0.2), 0 2px 2px rgb(0, 0, 0, 0.2), 0 -2px 2px rgb(0, 0, 0, 0.2);
    font-size: 30px;
}


.TextAnimation ul li span.slogan_en {
	margin: 0 0.5em 0 0;
}

@keyframes text_anime_on {
    0% {
        opacity: 1;
    }
    20% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.TextAnimation ul li {
    visibility: hidden; /* 初期状態で非表示 */
    transition: opacity 1s ease-out;
}

.TextAnimation ul li span.ja2 br,
.TextAnimation ul li span.ja br {
	display: none;
}

.cvo19 {
	text-align: right;
	padding: 50px 20px 0 0;
}

.cvo19 img {
	width: 150px;
}

.banner_foot a {
	width: 15%;
	display: inline-block;
	border: #999999 solid;
	border-width: 1px;
}

.banner_foot img {
	width: 100%;
}

/* ------------------------------------------------------ */
@media only screen and (max-width : 768px) {
/* ------------------------------------------------------ */

.TextAnimation ul li span.ja span {
	font-size: calc(100vw * 0.04);
	line-height: 1.3em;
}

.TextAnimation ul li span.ja2 span {
	font-size: calc(100vw * 0.065);
}

.TextAnimation ul li span.ja2 {
	padding: 10px 0;
}

.TextAnimation ul li span.ja2 br,
.TextAnimation ul li span.ja br{
	display: inline;
}

.TextAnimation ul li span.ja .line {
	display: none;
}

}


/* ------------------------------------------------------ */
@media only screen and (max-width : 820px) {
/* ------------------------------------------------------ */
.topVideo {
	height: 100%;
}
}

/* ------------------------------------------------------ */
@media only screen and (max-width : 600px) {
/* ------------------------------------------------------ */
.topVideo {
	height: calc(100% - 80px);
	width: 100%;
	overflow: hidden;
	top: 80px;
}
	
.TextAnimation{
	bottom: 30px;
}
	
.cvo19 {
	text-align: right;
	padding: 20px 20px 0 0;
}

.cvo19 img {
	width: 80px;
}

.banner_foot a {
	width: 40%;
}

}